import request from '@/config/axios'

// 获取企业推荐信分页
export const getRecommendationPage = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/recommendation/list',
		data
	})
}

// 获取实习证书分页
export const getCertificatePage = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/internship/certificate/list',
		data
	})
}

// 获取实习生记录分页
export const getInternshipPage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/recruit/student/page',
		params
	})
}

// 学生实习企业列表
export const practiceProcess = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/practice/process',
		data
	})
}

// 获得学生实习记录分页
export const getStudentPracticePage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/student/page',
		params
	})
}

// 获取学生实习报告列表
export const getStudentReportList = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/student/get/report/list',
		params
	})
}

// 保存学生实习报告
export const saveStudentReport = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/student/report/save',
		data
	})
}

// 获取学生实习的企业列表
export const getStudentPracticeCompanyList = async () => {
	return await request.get({
		url: '/app-api/menduner/system/student/record-enterprise/list'
	})
}